This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 548169

Summary: SELinux is preventing /usr/bin/pulseaudio "read" access on \x2fdevices\x2fpci0000:00\x2f0000:00:1b.0\x2fsound\x2fcard1.
Product: [Fedora] Fedora Reporter: mrblack
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, harald, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:4d9f133106709b4e4b8879947689e1102c23f69aecbb5b2cfec87a428f36de68
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-24 09:18:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description mrblack 2009-12-16 15:08:17 EST
Résumé:

SELinux is preventing /usr/bin/pulseaudio "read" access on
\x2fdevices\x2fpci0000:00\x2f0000:00:1b.0\x2fsound\x2fcard1.

Description détaillée:

[SELinux est en mode permissif. Cet accès n'a pas été refusé.]

SELinux denied access requested by pulseaudio. It is not expected that this
access is required by pulseaudio and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Autoriser l'accès:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informations complémentaires:

Contexte source               system_u:system_r:xdm_t:s0-s0:c0.c1023
Contexte cible                system_u:object_r:device_t:s0
Objets du contexte            \x2fdevices\x2fpci0000:00\x2f0000:00:1b.0\x2fsound
                              \x2fcard1 [ file ]
source                        pulseaudio
Chemin de la source           /usr/bin/pulseaudio
Port                          <Inconnu>
Hôte                         (removed)
Paquetages RPM source         pulseaudio-0.9.21-1.fc12
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.6.32-56.fc12
Selinux activé               True
Type de politique             targeted
Mode strict                   Permissive
Nom du plugin                 catchall
Nom de l'hôte                (removed)
Plateforme                    Linux (removed) 2.6.31.6-166.fc12.i686.PAE #1
                              SMP Wed Dec 9 11:00:30 EST 2009 i686 i686
Compteur d'alertes            2
Première alerte              mer 16 déc 2009 20:58:38 CET
Dernière alerte              mer 16 déc 2009 20:58:38 CET
ID local                      775261d7-76e4-4323-acc6-bb4ab9fa66d8
Numéros des lignes           

Messages d'audit bruts        

node=(removed) type=AVC msg=audit(1260993518.796:34): avc:  denied  { read } for  pid=1861 comm="pulseaudio" name="\x2fdevices\x2fpci0000:00\x2f0000:00:1b.0\x2fsound\x2fcard1" dev=tmpfs ino=9936 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:device_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1260993518.796:34): avc:  denied  { open } for  pid=1861 comm="pulseaudio" name="\x2fdevices\x2fpci0000:00\x2f0000:00:1b.0\x2fsound\x2fcard1" dev=tmpfs ino=9936 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:device_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260993518.796:34): arch=40000003 syscall=5 success=yes exit=14 a0=bfca660c a1=8000 a2=1b6 a3=7f83d98 items=0 ppid=1859 pid=1861 auid=4294967295 uid=42 gid=473 euid=42 suid=42 fsuid=42 egid=473 sgid=473 fsgid=473 tty=(none) ses=4294967295 comm="pulseaudio" exe="/usr/bin/pulseaudio" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-56.fc12,catchall,pulseaudio,xdm_t,device_t,file,read
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t device_t:file { read open };
Comment 1 Daniel Walsh 2009-12-16 17:12:48 EST
This file was created with the wrong label.

I believe these files are under

/dev/\.udev(/.*)?	--	system_u:object_r:udev_tbl_t:s0

Which should be labeled udev_tbl_t

ls -lZd /dev/.udev
Comment 2 Daniel Walsh 2009-12-16 17:13:20 EST
*** Bug 548167 has been marked as a duplicate of this bug. ***
Comment 3 Harald Hoyer 2010-03-24 09:18:30 EDT

*** This bug has been marked as a duplicate of bug 573164 ***